Bug 2006904 (CVE-2021-40325) - CVE-2021-40325 cobbler: Authorization bypass allows modifying settings
Summary: CVE-2021-40325 cobbler: Authorization bypass allows modifying settings
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-40325
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2006907 2006906
Blocks: 2006908
TreeView+ depends on / blocked
 
Reported: 2021-09-22 16:15 UTC by Pedro Sampaio
Modified: 2021-09-30 13:13 UTC (History)
10 users (show)

Fixed In Version: cobbler 3.3.0, cobbler 3.2.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in cobbler. This flaw lies in the token validation and could allow an attacker to bypass authorization and modify settings.
Clone Of:
Environment:
Last Closed: 2021-09-24 08:52:11 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2021-09-22 16:15:17 UTC
A flaw was found in Cobbler. Authorization bypass allows modifying settings.

References:

https://lists.suse.com/pipermail/sle-security-updates/2021-September/009468.html
https://github.com/cobbler/cobbler/issues/2795
https://github.com/cobbler/cobbler/pull/2794

Comment 1 Pedro Sampaio 2021-09-22 16:17:27 UTC
Created cobbler tracking bugs for this issue:

Affects: epel-7 [bug 2006907]
Affects: fedora-all [bug 2006906]


Note You need to log in before you can comment on or make changes to this bug.